Subject: [OSPF] Cryptographic Algorithm Implementations Requirements for OSPF

From: Manav Bhatia <[email-masked]>
Date: Fri, 14 Jul 2006 23:40:09 +0000 (GMT)

Hi,
 
We have just posted a new draft on the cryptographic algorithm requirements for OSPF and would appreciate the WGs feedback and comments on the same.
 
http://www.ietf.org/internet-drafts/draft-bhatia-manral-crypto-req-ospf-00.txt
 
Abstract 
    
   OSPF defines three different kinds of authentication schemes: Null 
   authentication, simple password and cryptographic authentication. The 
   cryptographic authentication scheme can make use of various 
   cryptographic algorithms in order to authenticate the OSPF packets. 
   To ensure interoperability between disparate implementations, it is 
   necessary to specify a set of mandatory-to-implement algorithms to 
   ensure that there is at least one algorithm that all implementations 
   will have available.   
    
   This document defines the current set of mandatory-to-implement 
   algorithms to be used for the cryptographic authentication for OSPF 
   as well as specifying the algorithms that should be implemented 
   because they may be promoted to mandatory at some future time. 
 
Thanks,
Manav
 
> ----- Forwarded Message ----
> From: [email-masked]
> To: [email-masked]
> Sent: Saturday, July 15, 2006 1:20:01 AM
> Subject: I-D ACTION:draft-bhatia-manral-crypto-req-ospf-00.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> 
> 
>    Title        : Cryptographic Algorithm Implementations Requirements for 
> OSPF
>    Author(s)    : M. Bhatia, et al.
>    Filename    : draft-bhatia-manral-crypto-req-ospf-00.txt
>    Pages        : 7
>    Date        : 2006-6-14
> 
> OSPF defines three different kinds of authentication schemes: Null
> authentication, simple password and cryptographic authentication. The
> cryptographic authentication scheme can make use of various
> cryptographic algorithms in order to authenticate the OSPF packets.
> To ensure interoperability between disparate implementations, it is
> necessary to specify a set of mandatory-to-implement algorithms to
> ensure that there is at least one algorithm that all implementations
> will have available.
> 
> This document defines the current set of mandatory-to-implement
> algorithms to be used for the cryptographic authentication for OSPF
> as well as specifying the algorithms that should be implemented
> because they may be promoted to mandatory at some future time.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-bhatia-manral-crypto-req-ospf-00.txt
> 
> To remove yourself from the I-D Announcement list, send a message to
> [email-masked] with the word unsubscribe in the body of the 
> message.
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.

_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf